@echo off
@REM ------------------------------------------------------------------------------
@REM IBM Confidential
@REM OCO Source Materials
@REM 5724-T40
@REM 5725-C68
@REM
@REM (C) Copyright IBM Corporation 2012.  All rights reserved.
@REM
@REM The source code for this program is not published or otherwise
@REM divested of its trade secrets, irrespective of what has been
@REM deposited with the U.S. Copyright Office.
@REM
@REM ------------------------------------------------------------------------------

@REM Set VMM Home directory to script directory and remove trailing backslash
SET VMM_HOME=%~dp0
SET VMM_HOME=%VMM_HOME:~0,-1%

set JAVA_CMD="%VMM_HOME%\java\jre\bin\java"
set JAVA_CMD=%JAVA_CMD:"=%

SET VMM_LOCAL_LIB=%VMM_HOME%/lib

@REM ####### PROPERTIES DEFINITONS #######
SET VMM_PROPERTIES_DEFS=-Dcom.ibm.license.mgmt.datacollector.home.path="%VMM_HOME%"
SET VMM_PROPERTIES_DEFS=%VMM_PROPERTIES_DEFS% -Djava.library.path="%VMM_LOCAL_LIB%"


@REM ####### CLASS PATH DEFINITONS #######
SET VMM_CLASS_PATH=%VMM_LOCAL_LIB%/tivolicommondir.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.icu_4.0.1.v20090822.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.license.mgmt.scheduler.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.license.mgmt.datacollector.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.license.mgmt.datacollector.dto.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.license.mgmt.encryption_v2.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.license.mgmt.msgandtrace.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.license.mgmt.util.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.license.mgmt.vmmanager.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/axis.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/apputils.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/com.ibm.ws.webservices.thinclient_7.0.0.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/vim.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/JSON4J.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/commonj-twm.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/jffdc.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/jlog.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/ibm-wink-jaxrs.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/slf4j-api.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/slf4j-jdk14.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/jsr311-api.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/commons-codec.jar


SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_cs.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_de.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_es.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_fr.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_hu.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_it.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_ja.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_ko.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_pl.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_pt_BR.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_ru.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_zh_CN.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_zh_TW.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_hr.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_nl.jar
SET VMM_CLASS_PATH=%VMM_CLASS_PATH%;%VMM_LOCAL_LIB%/resources_sl.jar

SET VMM_COMMAND_TXT="%JAVA_CMD%" %VMM_PROPERTIES_DEFS% -cp "%VMM_CLASS_PATH%" com.ibm.license.mgmt.datacollector.Runner

if /i {%1}=={-run} (goto runmode)
if /i {%1}=={-runservice} (goto runservicemode)
goto commandmode

:runmode
net start vmmansvc >nul 2>&1
if %ERRORLEVEL% NEQ 0 (goto netstartagaintohaveerrorcode)
ping 127.0.0.1 -n 11 >nul 2>&1 
%VMM_COMMAND_TXT% -testandprintrunningstatus
exit /B %ERRORLEVEL%

:runservicemode
%VMM_COMMAND_TXT% -run
SET VMM_EXIT_CODE=%ERRORLEVEL%
IF %VMM_EXIT_CODE% EQU 0 (goto okay) ELSE (goto notokay)

:commandmode
%VMM_COMMAND_TXT% %*
SET VMM_EXIT_CODE=%ERRORLEVEL%
IF %VMM_EXIT_CODE% EQU 0 (goto okay) ELSE (goto notokay)

:notokay
exit /B %VMM_EXIT_CODE%

:okay
exit /B 0

:netstartagaintohaveerrorcode
@echo net start vmmansvc
net start vmmansvc
%VMM_COMMAND_TXT% -testandprintrunningstatus